webpackJsonp([4],{

/***/ 100:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__item_details_item_details__ = __webpack_require__(277);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_message__ = __webpack_require__(73);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_control_message__ = __webpack_require__(153);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ListPage = /** @class */ (function () {
    function ListPage(navCtrl, navParams, messageProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.messageProvider = messageProvider;
        this.getItems();
    }
    ListPage.prototype.getItems = function () {
        this.items = this.messageProvider.getMessages();
    };
    ListPage.prototype.itemTapped = function (event, item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__item_details_item_details__["a" /* ItemDetailsPage */], {
            item: item
        });
    };
    ListPage.prototype.newMessage = function (event) {
        this.itemTapped(event, new __WEBPACK_IMPORTED_MODULE_3__models_message__["a" /* Message */]({}));
    };
    ListPage.prototype.getIcon = function (message) {
        switch (message.category) {
            case 'Помощь человеку':
                return 'body';
            case 'Транспорт':
                return 'car';
            case 'Пожар':
                return 'bonfire';
            case 'Другое':
                return 'barcode';
        }
        return 'barcode';
    };
    ListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-list',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\list\list.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Сообщения</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-fab top right edge>\n    <button ion-fab mini (click)="newMessage($event)">\n      <ion-icon name="add"></ion-icon>\n    </button>\n  </ion-fab>\n  <ion-list>\n    <button ion-item *ngFor="let item of items | async" (click)="itemTapped($event, item)">\n      <ion-icon name="{{getIcon(item)}}" item-left></ion-icon>\n      <ion-icon name="done-all" item-end *ngIf="item.status"></ion-icon>\n      <h2>{{item.title}}</h2>\n      <h3 *ngIf="item.cldate">{{item.bgdate | date: \'dd.MM.yyyy HH:mm\'}} - {{item.cldate | date: \'dd.MM.yyyy HH:mm\'}}</h3>\n      <h3 *ngIf="!item.cldate">{{item.bgdate | date: \'dd.MM.yyyy HH:mm\'}}</h3>\n      <h3 *ngIf="item.status" style="color: seagreen">Сообщение доставлено</h3>\n      <h3 *ngIf="!item.status" style="color: red">Сообщение обрабатывается</h3>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\list\list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_control_message__["a" /* MessageProvider */]])
    ], ListPage);
    return ListPage;
}());

//# sourceMappingURL=list.js.map

/***/ }),

/***/ 153:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessageProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_fire_firestore__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__models_message__ = __webpack_require__(73);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__ = __webpack_require__(82);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__auth_auth__ = __webpack_require__(50);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the MessageProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var MessageProvider = /** @class */ (function () {
    // constructor(public afAuth: AngularFireAuth, db: AngularFirestore) {
    function MessageProvider(db, auth) {
        this.db = db;
        this.auth = auth;
        db.firestore.settings({ timestampsInSnapshots: true }); // Обращать внимание на даты, если перестанут работать, расскоментировать
        this.messages = db.collection('messages');
        this.messages$ = this.auth.afAuth.authState.pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["switchMap"])(function (user) {
            return db.collection('messages', function (ref) { return ref.where('$uid', '==', user && user.uid); })
                .snapshotChanges()
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["map"])(function (actions) {
                return actions.map(function (a) {
                    var data = new __WEBPACK_IMPORTED_MODULE_2__models_message__["a" /* Message */](a.payload.doc.data());
                    data.$key = a.payload.doc.id;
                    return data;
                });
            }));
        }));
    }
    MessageProvider.prototype.getMessages = function () {
        return this.messages$;
    };
    MessageProvider.prototype.addMessage = function (message) {
        message.$uid = this.auth.getUid();
        message.bgdate = new Date().toISOString();
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.messages.add(message.getAny()));
    };
    MessageProvider.prototype.updateMessage = function (message) {
        var key = message.$key;
        delete message.$key;
        message.bgdate = new Date().toISOString();
        delete message.cldate;
        message.status = false; // Меняем статус на непроверенный, т.к. запись изменилась
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.messages.doc(key).set(message.getAny()));
    };
    MessageProvider.prototype.deleteMessage = function (message) {
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.messages.doc(message.$key).delete());
    };
    MessageProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_fire_firestore__["a" /* AngularFirestore */], __WEBPACK_IMPORTED_MODULE_5__auth_auth__["a" /* AuthProvider */]])
    ], MessageProvider);
    return MessageProvider;
}());

//# sourceMappingURL=message.js.map

/***/ }),

/***/ 179:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HousesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_situation_situation__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_details_map_details__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_message__ = __webpack_require__(73);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the HousesPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HousesPage = /** @class */ (function () {
    function HousesPage(navCtrl, navParams, situationProvider) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.situationProvider = situationProvider;
        this.houses$ = situationProvider.getHouses()
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["tap"])(function (situation) {
            _this.date = situation.date;
            _this.situations = situation.values;
        }));
    }
    HousesPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HousesPage');
    };
    HousesPage.prototype.showLocation = function (situation) {
        var item = new __WEBPACK_IMPORTED_MODULE_5__models_message__["a" /* Message */]({ lat: situation.latitude, lng: situation.longitude });
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_details_map_details__["a" /* MapDetailsPage */], {
            item: item
        });
    };
    HousesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-houses',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\houses\houses.html"*/'<!--\n  Generated template for the HousesPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Аварии ЖКХ</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list *ngIf="houses$ | async; else loading">\n    <ion-list-header><h2>{{date}}</h2></ion-list-header>\n    <ion-item *ngFor="let situation of situations">\n      <h2 *ngIf="situation.name">{{situation.name}} ({{situation.rdate | date: \'dd.MM.yyyy HH:mm\'}})</h2>\n      <h3 *ngIf="situation.chs_scale">Масштаб: {{situation.chs_scale}}</h3>\n      <h3 text-wrap *ngIf="situation.chs_type">Тип: {{situation.chs_type}}</h3>\n      <h3 text-wrap *ngIf="situation.rdate"></h3>\n      <p text-wrap>{{situation.descr}}</p>\n      <p>\n        <ion-grid>\n          <ion-row>\n            <ion-col col-8>Личный состав</ion-col>\n            <ion-col align="right">{{situation.num_staff | number: \'1.0-2\'}}</ion-col>\n          </ion-row>\n          <ion-row>\n            <ion-col col-8>Задействовано техники</ion-col>\n            <ion-col align="right">{{situation.equipment | number: \'1.0-2\'}}</ion-col>\n          </ion-row>\n          <ion-row *ngIf="situation.num_adult">\n            <ion-col col-8>Последствия для взрослых</ion-col>\n            <ion-col align="right">{{situation.num_adult | number: \'1.0-2\'}}</ion-col>\n          </ion-row>\n          <ion-row *ngIf="situation.num_child">\n            <ion-col col-8>Последствия для детей</ion-col>\n            <ion-col align="right">{{situation.num_child | number: \'1.0-2\'}}</ion-col>\n          </ion-row>\n        </ion-grid>\n      </p>\n      <p text-wrap>Причина: {{situation.reason}}</p>\n      <p text-wrap>Источник данных: {{situation.rep_institute}}</p>\n      <p text-wrap>Зона ответственности: {{situation.zona}}</p>\n      <p>\n        <button ion-button clear (click)="showLocation(situation)" *ngIf="situation.longitude">\n          <ion-icon name=\'pin\' item-end></ion-icon>\n          Посмотреть на карте\n        </button>\n      </p>\n    </ion-item>\n  </ion-list>\n\n</ion-content>\n\n<ng-template #loading>\n  Данные загружаются...\n</ng-template>\n\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\houses\houses.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_situation_situation__["a" /* SituationProvider */]])
    ], HousesPage);
    return HousesPage;
}());

//# sourceMappingURL=houses.js.map

/***/ }),

/***/ 180:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HydroPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_situation_situation__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_details_map_details__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_message__ = __webpack_require__(73);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the HydroPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HydroPage = /** @class */ (function () {
    function HydroPage(navCtrl, navParams, situationProvider) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.situationProvider = situationProvider;
        this.hydro$ = situationProvider.getHydro()
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["tap"])(function (situation) {
            _this.date = situation.date;
            _this.situations = situation.values;
        }));
    }
    HydroPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HydroPage');
    };
    HydroPage.prototype.showLocation = function (situation) {
        var item = new __WEBPACK_IMPORTED_MODULE_5__models_message__["a" /* Message */]({ lat: situation.latitude, lng: situation.longitude });
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_details_map_details__["a" /* MapDetailsPage */], {
            item: item
        });
    };
    HydroPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-hydro',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\hydro\hydro.html"*/'<!--\n  Generated template for the HydroPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Гидропосты</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list *ngIf="hydro$ | async; else loading">\n    <ion-list-header><h2>{{date}}</h2></ion-list-header>\n    <ion-item *ngFor="let situation of situations">\n      <h2>{{situation.name}}</h2>\n      <ion-grid>\n        <ion-row>\n          <ion-col col-8>уровень воды:</ion-col>\n          <ion-col align="right">{{situation.level0 | number: \'1.0-2\'}}</ion-col>\n        </ion-row>\n      </ion-grid>\n      <button ion-button clear item-end (click)="showLocation(situation)" *ngIf="situation.longitude">\n        <ion-icon name=\'pin\' item-end></ion-icon>\n      </button>\n    </ion-item>\n  </ion-list>\n\n</ion-content>\n\n<ng-template #loading>\n  Данные загружаются...\n</ng-template>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\hydro\hydro.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_situation_situation__["a" /* SituationProvider */]])
    ], HydroPage);
    return HydroPage;
}());

//# sourceMappingURL=hydro.js.map

/***/ }),

/***/ 181:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MeteoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_situation_situation__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_details_map_details__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_message__ = __webpack_require__(73);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the MeteoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MeteoPage = /** @class */ (function () {
    function MeteoPage(navCtrl, navParams, situationProvider) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.situationProvider = situationProvider;
        this.meteo$ = situationProvider.getMeteo()
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["tap"])(function (situation) {
            _this.date = situation.date;
            _this.situations = situation.values;
        }));
    }
    MeteoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad MeteoPage');
    };
    MeteoPage.prototype.showLocation = function (situation) {
        var item = new __WEBPACK_IMPORTED_MODULE_5__models_message__["a" /* Message */]({ lat: situation.latitude, lng: situation.longitude });
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_details_map_details__["a" /* MapDetailsPage */], {
            item: item
        });
    };
    MeteoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-meteo',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\meteo\meteo.html"*/'<!--\n  Generated template for the MeteoPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Погода</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list *ngIf="meteo$ | async; else loading">\n    <ion-list-header><h2>{{date}}</h2></ion-list-header>\n    <ion-item *ngFor="let situation of situations">\n      <h2>{{situation.name}}</h2>\n      <ion-grid>\n        <ion-row>\n          <ion-col col-8>температура:</ion-col>\n          <ion-col align="right">{{situation.t | number: \'1.0-2\'}}</ion-col>\n        </ion-row>\n        <ion-row>\n          <ion-col col-8>давление:</ion-col>\n          <ion-col align="right">{{situation.p | number: \'1.0-2\'}}</ion-col>\n        </ion-row>\n        <ion-row>\n          <ion-col col-8>влажность:</ion-col>\n          <ion-col align="right">{{situation.h | number: \'1.0-2\'}}</ion-col>\n        </ion-row>\n        <ion-row>\n          <ion-col col-8>скорость ветра:</ion-col>\n          <ion-col align="right">{{situation.v | number: \'1.0-2\'}}</ion-col>\n        </ion-row>\n        <ion-row *ngIf="situation.v">\n          <ion-col col-8>направление ветра:</ion-col>\n          <ion-col align="right">{{situation.d | number: \'1.0-2\'}}</ion-col>\n        </ion-row>\n      </ion-grid>\n      <p>\n        <button ion-button clear (click)="showLocation(situation)" *ngIf="situation.longitude">\n          <ion-icon name=\'pin\' item-end></ion-icon>\n          Посмотреть на карте\n        </button>\n      </p>\n    </ion-item>\n  </ion-list>\n\n</ion-content>\n\n<ng-template #loading>\n  Данные загружаются...\n</ng-template>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\meteo\meteo.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_situation_situation__["a" /* SituationProvider */]])
    ], MeteoPage);
    return MeteoPage;
}());

//# sourceMappingURL=meteo.js.map

/***/ }),

/***/ 182:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_profile__ = __webpack_require__(295);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_profile__ = __webpack_require__(296);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_operators__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ProfilePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ProfilePage = /** @class */ (function () {
    function ProfilePage(navCtrl, navParams, profileProvider, fb) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.profileProvider = profileProvider;
        this.newProfile = false;
        this.form = fb.group(({
            email: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].email])],
            name: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required])],
            phone: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([
                    __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].minLength(12),
                    __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].pattern(/^((\+7)+([0-9]){10})$/ig)
                ])]
        }));
        this.profile = this.profileProvider.getProfile()
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_5_rxjs_operators__["tap"])(function (profile) {
            if (profile.email == null) {
                _this.newProfile = true;
                profile.email = _this.profileProvider.auth.getEmail();
            }
            _this.form.patchValue(profile);
        }));
    }
    ProfilePage.prototype.save = function () {
        var data = this.form.value;
        var profile = new __WEBPACK_IMPORTED_MODULE_3__models_profile__["a" /* Profile */](data);
        if (this.newProfile) {
            this.profileProvider.addProfile(profile);
        }
        else {
            this.profileProvider.updateProfile(profile);
        }
        // this.auth.signUp(data.email, data.password).then(
        //   () => console.log('Saved successfully'),
        //   error => this.error = error.message
        // );
    };
    ProfilePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ProfilePage');
    };
    ProfilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-profile',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\profile\profile.html"*/'<!--\n\n  Generated template for the ProfilePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title>Информация о пользователе</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <form *ngIf="profile | async; else loading" (ngSubmit)="save()" [formGroup]="form">\n\n    <ion-list inset>\n\n\n\n      <ion-item [ngClass]="{ invalid: emailErrors.hasError(\'*\', [\'touched\']) }">\n\n        <ion-input type="text" placeholder="Электронная почта" formControlName="email" readonly="true"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="email" #emailErrors="ngxErrors">\n\n        <div [ngxError]="[\'email\', \'required\']" [when]="[\'touched\']">Неверный формат почтового адреса</div>\n\n      </div>\n\n\n\n      <ion-item [ngClass]="{ invalid: nameErrors.hasError(\'*\', [\'touched\']) }">\n\n        <ion-input type="text" placeholder="Имя" formControlName="name"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="name" #nameErrors="ngxErrors">\n\n        <div [ngxError]="[\'required\']" [when]="[\'touched\']">Имя обязательно для заполнения</div>\n\n      </div>\n\n\n\n      <ion-item [ngClass]="{ invalid: phoneErrors.hasError(\'*\', [\'touched\']) }">\n\n        <ion-input type="text" placeholder="Телефон" formControlName="phone"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="phone" #phoneErrors="ngxErrors">\n\n        <div [ngxError]="[\'pattern\', \'minlength\']" [when]="[\'touched\']">Неверный формат номера</div>\n\n      </div>\n\n    </ion-list>\n\n\n\n    <div padding-horizontal>\n\n      <div class="form-error">{{error}}</div>\n\n\n\n      <button ion-button full type="submit" [disabled]="!form.valid">Сохранить</button>\n\n    </div>\n\n  </form>\n\n</ion-content>\n\n\n\n<ng-template #loading>\n\n  Данные загружаются...\n\n</ng-template>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\profile\profile.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_profile__["a" /* ProfileProvider */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */]])
    ], ProfilePage);
    return ProfilePage;
}());

//# sourceMappingURL=profile.js.map

/***/ }),

/***/ 192:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 192;

/***/ }),

/***/ 235:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/houses/houses.module": [
		607,
		3
	],
	"../pages/hydro/hydro.module": [
		608,
		2
	],
	"../pages/login/login.module": [
		275
	],
	"../pages/meteo/meteo.module": [
		609,
		1
	],
	"../pages/profile/profile.module": [
		610,
		0
	],
	"../pages/signup/signup.module": [
		297
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return Promise.all(ids.slice(1).map(__webpack_require__.e)).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 235;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 275:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(276);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__ = __webpack_require__(155);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__["a" /* NgxErrorsModule */],
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 276:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__list_list__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__signup_signup__ = __webpack_require__(291);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, navParams, auth, fb) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.loginForm = fb.group({
            email: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].email])],
            password: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].minLength(6)])]
        });
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LoginPage');
    };
    LoginPage.prototype.login = function () {
        var _this = this;
        var data = this.loginForm.value;
        if (!data.email) {
            return;
        }
        this.auth.signInWithEmail(data.email, data.password)
            .then(function () { return _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__list_list__["a" /* ListPage */]); }, function (error) { return _this.loginError = error.message; });
    };
    LoginPage.prototype.signup = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__signup_signup__["a" /* SignupPage */]);
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\login\login.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button menuToggle>\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title>Авторизация</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <form (ngSubmit)="login()" [formGroup]="loginForm">\n\n    <ion-list inset>\n\n\n\n      <ion-item [ngClass]="{ invalid: emailErrors.hasError(\'*\', [\'touched\', \'dirty\']) }">\n\n        <ion-input type="text" placeholder="Email" formControlName="email"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="email" #emailErrors="ngxErrors">\n\n        <div [ngxError]="[\'email\', \'required\']" [when]="[\'touched\', \'dirty\']">It should be a valid email</div>\n\n      </div>\n\n\n\n      <ion-item [ngClass]="{ invalid: passwordErrors.hasError(\'*\', [\'touched\']) }">\n\n        <ion-input type="password" placeholder="Пароль" formControlName="password"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="password" #passwordErrors="ngxErrors">\n\n        <div [ngxError]="[\'minlength\', \'required\']" [when]="[\'touched\']">It should be at least 5 characters</div>\n\n      </div>\n\n    </ion-list>\n\n\n\n    <div padding-horizontal>\n\n      <div class="form-error">{{loginError}}</div>\n\n\n\n      <button ion-button full type="submit" [disabled]="!loginForm.valid">Войти</button>\n\n      <div class="login-footer">\n\n        <p>\n\n          <a href="#">Забыли пароль?</a>\n\n          Если вы новый пользователь, зарегистрируйтесь!\n\n        </p>\n\n      </div>\n\n\n\n      <ion-list>\n\n\n\n        <!--<button ion-button icon-left block clear (click)="loginWithGoogle()">-->\n\n          <!--<ion-icon name="logo-google"></ion-icon>-->\n\n          <!--Log in with Google-->\n\n        <!--</button>-->\n\n\n\n        <button ion-button icon-left block clear (click)="signup()">\n\n          <ion-icon name="person-add"></ion-icon>\n\n          Регистрация\n\n        </button>\n\n      </ion-list>\n\n    </div>\n\n  </form>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__["a" /* AuthProvider */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 277:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ItemDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_uuid__ = __webpack_require__(557);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_uuid___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_uuid__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_control_message__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_details_map_details__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_camera__ = __webpack_require__(280);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__models_photo__ = __webpack_require__(282);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_geolocation__ = __webpack_require__(283);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_control_photo__ = __webpack_require__(284);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs_observable_fromPromise__ = __webpack_require__(82);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs_observable_fromPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_rxjs_observable_fromPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_native_geocoder__ = __webpack_require__(290);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var ItemDetailsPage = /** @class */ (function () {
    function ItemDetailsPage(navCtrl, navParams, photoProvider, messageProvider, camera, geolocation, nativeGeocoder, toastCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.photoProvider = photoProvider;
        this.messageProvider = messageProvider;
        this.camera = camera;
        this.geolocation = geolocation;
        this.nativeGeocoder = nativeGeocoder;
        this.toastCtrl = toastCtrl;
        this.FileOperation = __WEBPACK_IMPORTED_MODULE_6__models_photo__["a" /* FileOperation */];
        this.photos = new Array();
        this.deleted = false;
        // If we navigated to this page, we will have an member available as a nav param
        this.selectedItem = navParams.get('item');
        this.selectedItemJson = JSON.stringify(this.selectedItem);
        this.photoProvider.fillImagesUrl(this.selectedItem.photos)
            .subscribe(function (url) {
            var findRes = _this.selectedItem.photos.find(function (value) { return url.indexOf(value.fileName) !== -1; });
            _this.photos.push(new __WEBPACK_IMPORTED_MODULE_6__models_photo__["b" /* Photo */](Object.assign({
                src: url
            }, findRes)));
        }, function (error1) { return console.log(error1); });
        if (this.selectedItem.lng == null) {
            this.setGeolocation();
        }
    }
    ItemDetailsPage.prototype.setGeolocation = function () {
        var _this = this;
        Object(__WEBPACK_IMPORTED_MODULE_9_rxjs_observable_fromPromise__["fromPromise"])(this.geolocation.getCurrentPosition())
            .subscribe(function (position) {
            _this.selectedItem.lng = position.coords.longitude;
            _this.selectedItem.lat = position.coords.latitude;
            console.log(_this.selectedItem.lng, _this.selectedItem.lat);
            _this.setAddress();
        }, function (error1) { return console.log('Error getting location', error1); });
    };
    ItemDetailsPage.prototype.setAddress = function () {
        var _this = this;
        var options = {
            useLocale: true,
            maxResults: 1
        };
        Object(__WEBPACK_IMPORTED_MODULE_9_rxjs_observable_fromPromise__["fromPromise"])(this.nativeGeocoder.reverseGeocode(this.selectedItem.lat, this.selectedItem.lng, options))
            .subscribe(function (result) {
            var address = '';
            address += result[0].postalCode ? result[0].postalCode + ', ' : '';
            address += result[0].countryName ? result[0].countryName + ', ' : '';
            address += result[0].administrativeArea ? result[0].administrativeArea + ', ' : '';
            address += result[0].subAdministrativeArea ? result[0].subAdministrativeArea + ', ' : '';
            if (result[0].subAdministrativeArea.indexOf(result[0].locality) == -1)
                address += result[0].locality ? result[0].locality + ', ' : '';
            if (result[0].locality.indexOf(result[0].subLocality) == -1)
                address += result[0].subLocality ? result[0].subLocality + ', ' : '';
            address += result[0].thoroughfare ? result[0].thoroughfare + ' ' : '';
            address += result[0].subThoroughfare ? result[0].subThoroughfare : '';
            _this.selectedItem.address = address;
            console.log(result);
        }, function (error1) {
            _this.selectedItem.address = 'Не удалось заполнить автоматически';
            console.log('Error getting adress', error1);
        });
    };
    ItemDetailsPage.prototype.ionViewWillLeave = function () {
        if (this.deleted)
            return; // Проверяем не нажатали кнопка Удалить
        // Со страницы можно уйти на экран меток или назад в общий раздел.
        // При уходе в общий раздел - сохраняем данных, в противном случае - ждём.
        // (были проблемы при создании новой записи, т.к. если уходить в метки и
        // обратно возвращаться будет два раза вызван метод создания Путешествия, т.к.
        // не заполнено поле $key)
        if (this.navCtrl.last().component.name != 'ItemDetailsPage')
            return;
        if (JSON.stringify(this.selectedItem) === this.selectedItemJson) {
            console.log('Объект не изменился');
        }
        else {
            if (this.selectedItem.$key == null) {
                this.messageProvider.addMessage(this.selectedItem)
                    .subscribe(function (value) {
                    // this.selectedItem.$key = value.id;
                    // console.log(value);
                }, function (error1) { return console.log(error1); });
            }
            else {
                this.messageProvider.updateMessage(this.selectedItem)
                    .subscribe(function (value) {
                }, function (error1) { return console.log(error1); });
            }
            this.photoProvider.saveImages(this.photos).subscribe(function (value) {
                console.log(value);
            });
            console.log('Обнаружены изменения');
        }
    };
    ItemDetailsPage.prototype.deleteMessage = function (event) {
        var _this = this;
        if (this.selectedItem.$key === undefined) {
            this.deleted = true;
            this.navCtrl.pop();
            return;
        }
        this.messageProvider.deleteMessage(this.selectedItem)
            .subscribe(function (value) {
            _this.deleted = true;
            _this.navCtrl.pop();
        }, function (error1) {
            console.log(error1);
            _this.navCtrl.pop();
        });
    };
    ItemDetailsPage.prototype.showLocation = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_details_map_details__["a" /* MapDetailsPage */], {
            item: this.selectedItem
        });
    };
    ItemDetailsPage.prototype.addPhoto = function () {
        var _this = this;
        var options = {
            quality: 50,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            sourceType: this.camera.PictureSourceType.CAMERA,
            saveToPhotoAlbum: false,
            correctOrientation: true
        };
        this.camera.getPicture(options).then(function (imageData) {
            // imageData is either a base64 encoded string or a file URI
            // If it's base64 (DATA_URL):
            var fileName = Object(__WEBPACK_IMPORTED_MODULE_1_uuid__["v4"])() + '.jpg';
            _this.photos.push(new __WEBPACK_IMPORTED_MODULE_6__models_photo__["b" /* Photo */]({
                fileName: fileName,
                fileOperation: __WEBPACK_IMPORTED_MODULE_6__models_photo__["a" /* FileOperation */].Add,
                data: 'data:image/jpeg;base64,' + imageData
            }));
            _this.selectedItem.photos.push(new __WEBPACK_IMPORTED_MODULE_6__models_photo__["b" /* Photo */]({ fileName: fileName }));
        }, function (err) {
            var toast = _this.toastCtrl.create({
                message: 'Ошибка доступа к камере',
                duration: 3000
            });
            toast.present();
        });
    };
    ItemDetailsPage.prototype.deletePhoto = function (photo) {
        // Удаляем данные о фотографии из базы
        var findRes = this.selectedItem.photos.find(function (value) { return photo.fileName == value.fileName; });
        if (findRes) {
            var index = this.selectedItem.photos.indexOf(findRes, 0);
            if (index > -1) {
                this.selectedItem.photos.splice(index, 1);
            }
        }
        // Удаляем данные о фотографии из хранилища данных
        if (photo.fileOperation == __WEBPACK_IMPORTED_MODULE_6__models_photo__["a" /* FileOperation */].Add) {
            var index = this.photos.indexOf(photo, 0);
            if (index > -1) {
                this.photos.splice(index, 1);
            }
        }
        else {
            photo.fileOperation = __WEBPACK_IMPORTED_MODULE_6__models_photo__["a" /* FileOperation */].Delete;
        }
    };
    ItemDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-item-details',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\item-details\item-details.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button menuToggle *ngIf="!selectedItem">\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title>{{selectedItem.title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-fab bottom right>\n\n    <button ion-fab mini (click)="addPhoto()">\n\n      <ion-icon name="camera"></ion-icon>\n\n    </button>\n\n  </ion-fab>\n\n  <ion-fab top right edge>\n\n    <button ion-fab mini (click)="deleteMessage($event)">\n\n      <ion-icon name="trash"></ion-icon>\n\n    </button>\n\n  </ion-fab>\n\n\n\n  <ion-card text-center *ngIf="selectedItem">\n\n\n\n    <ion-card-header>\n\n      Сообщение\n\n    </ion-card-header>\n\n\n\n    <ion-list>\n\n\n\n      <ion-item>\n\n        <ion-label floating>Тема</ion-label>\n\n        <ion-input type="text" [(ngModel)]="selectedItem.title"></ion-input>\n\n      </ion-item>\n\n\n\n      <ion-item>\n\n        <ion-label floating>Категория</ion-label>\n\n        <ion-select [(ngModel)]="selectedItem.category">\n\n          <ion-option value="Помощь человеку">Помощь человеку</ion-option>\n\n          <ion-option value="Транспорт">Транспорт</ion-option>\n\n          <ion-option value="Пожар">Пожар</ion-option>\n\n          <ion-option value="Другое">Другое</ion-option>\n\n        </ion-select>\n\n      </ion-item>\n\n\n\n      <ion-item>\n\n        <ion-label floating>Содержание</ion-label>\n\n        <ion-textarea type="text" [(ngModel)]="selectedItem.content"></ion-textarea>\n\n      </ion-item>\n\n\n\n      <ion-item>\n\n        <ion-label floating>Адрес</ion-label>\n\n        <ion-input type="text" [(ngModel)]="selectedItem.address"></ion-input>\n\n      </ion-item>\n\n\n\n      <button ion-item *ngIf="selectedItem.lng == null">\n\n        <ion-icon name=\'pin\' item-end [isActive]="false"></ion-icon>\n\n        Ваше местоположение устанавливается\n\n      </button>\n\n\n\n      <button ion-item (click)="showLocation()" *ngIf="selectedItem.lng">\n\n        <ion-icon name=\'pin\' item-end></ion-icon>\n\n        Посмотреть на карте местоположение\n\n      </button>\n\n\n\n    </ion-list>\n\n\n\n  </ion-card>\n\n\n\n  <ion-card text-center *ngIf="photos.length > 0">\n\n\n\n    <ion-card-header>\n\n      Фотоматериалы\n\n    </ion-card-header>\n\n\n\n    <ion-list>\n\n      <ion-item *ngFor="let photo of photos">\n\n        <ion-card *ngIf="photo.fileOperation != FileOperation.Delete">\n\n          <img [src]="photo.src? photo.src: photo.data"/>\n\n          <ion-row>\n\n            <ion-col text-right>\n\n              <button ion-button clear small icon-start (click)="deletePhoto(photo)">\n\n                <ion-icon name=\'trash\'></ion-icon>\n\n                Удалить\n\n              </button>\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-card>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\item-details\item-details.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_8__providers_control_photo__["a" /* PhotoProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_control_message__["a" /* MessageProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_geolocation__["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_10__ionic_native_native_geocoder__["a" /* NativeGeocoder */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* ToastController */]])
    ], ItemDetailsPage);
    return ItemDetailsPage;
}());

//# sourceMappingURL=item-details.js.map

/***/ }),

/***/ 282:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return Photo; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FileOperation; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(59);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var Photo = /** @class */ (function (_super) {
    __extends(Photo, _super);
    function Photo(fields) {
        return _super.call(this, fields) || this;
    }
    return Photo;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

var FileOperation;
(function (FileOperation) {
    FileOperation[FileOperation["Delete"] = 0] = "Delete";
    FileOperation[FileOperation["Add"] = 1] = "Add";
})(FileOperation || (FileOperation = {}));
//# sourceMappingURL=photo.js.map

/***/ }),

/***/ 284:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PhotoProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_fire_storage__ = __webpack_require__(285);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__auth_auth__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_photo__ = __webpack_require__(282);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_observable_from__ = __webpack_require__(569);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_observable_from___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_observable_from__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_operators__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/*
  Generated class for the PhotoProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
  https://alligator.io/ionic/angularfire2-file-uploads-ionic/
*/
var PhotoProvider = /** @class */ (function () {
    function PhotoProvider(storage, auth) {
        this.storage = storage;
        this.auth = auth;
    }
    PhotoProvider.prototype.saveImages = function (photos) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].from(photos).pipe(Object(__WEBPACK_IMPORTED_MODULE_6_rxjs_operators__["filter"])(function (photo) { return 'fileOperation' in photo; }), Object(__WEBPACK_IMPORTED_MODULE_6_rxjs_operators__["flatMap"])(function (photo) {
            var filePath = 'messages/' + photo.fileName;
            var fileRef = _this.storage.ref(filePath);
            return photo.fileOperation == __WEBPACK_IMPORTED_MODULE_3__models_photo__["a" /* FileOperation */].Add ?
                fileRef.putString(photo.data, 'data_url').percentageChanges() :
                fileRef.delete();
        }));
    };
    PhotoProvider.prototype.fillImagesUrl = function (photos) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].from(photos).pipe(Object(__WEBPACK_IMPORTED_MODULE_6_rxjs_operators__["flatMap"])(function (photo) {
            var filePath = 'messages/' + photo.fileName;
            var fileRef = _this.storage.ref(filePath);
            return fileRef.getDownloadURL();
        }));
    };
    PhotoProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_fire_storage__["a" /* AngularFireStorage */], __WEBPACK_IMPORTED_MODULE_2__auth_auth__["a" /* AuthProvider */]])
    ], PhotoProvider);
    return PhotoProvider;
}());

//# sourceMappingURL=photo.js.map

/***/ }),

/***/ 291:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__list_list__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__ = __webpack_require__(50);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the SignupPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SignupPage = /** @class */ (function () {
    function SignupPage(navCtrl, navParams, fb, auth) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.form = fb.group(({
            email: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].email])],
            password: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].minLength(6)])]
        }));
    }
    SignupPage.prototype.signup = function () {
        var _this = this;
        var data = this.form.value;
        this.auth.signUp(data.email, data.password).then(function () { return _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__list_list__["a" /* ListPage */]); }, function (error) { return _this.signupError = error.message; });
    };
    SignupPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SignupPage');
    };
    SignupPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-signup',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\signup\signup.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>Регистрация</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <form (ngSubmit)="signup()" [formGroup]="form">\n\n    <ion-list inset>\n\n\n\n      <ion-item [ngClass]="{ invalid: emailErrors.hasError(\'*\', [\'touched\']) }">\n\n        <ion-input type="text" placeholder="Email" formControlName="email"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="email" #emailErrors="ngxErrors">\n\n        <div [ngxError]="[\'email\', \'required\']" [when]="[\'touched\']">It should be a valid email</div>\n\n      </div>\n\n\n\n      <ion-item [ngClass]="{ invalid: passwordErrors.hasError(\'*\', [\'touched\']) }">\n\n        <ion-input type="password" placeholder="Пароль" formControlName="password"></ion-input>\n\n      </ion-item>\n\n\n\n      <div ngxErrors="password" #passwordErrors="ngxErrors">\n\n        <div [ngxError]="[\'minlength\', \'required\']" [when]="[\'touched\']">It should be at least 6 characters</div>\n\n      </div>\n\n    </ion-list>\n\n\n\n    <div padding-horizontal>\n\n      <div class="form-error">{{signupError}}</div>\n\n\n\n      <button ion-button full type="submit" [disabled]="!form.valid">Регистрация</button>\n\n    </div>\n\n  </form>\n\n</ion-content>\n\n\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\signup\signup.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__["a" /* AuthProvider */]])
    ], SignupPage);
    return SignupPage;
}());

//# sourceMappingURL=signup.js.map

/***/ }),

/***/ 295:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Profile; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(59);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var Profile = /** @class */ (function (_super) {
    __extends(Profile, _super);
    function Profile(fields) {
        return _super.call(this, fields) || this;
    }
    Profile.prototype.getAny = function () {
        return Object.assign({}, this);
    };
    return Profile;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=profile.js.map

/***/ }),

/***/ 296:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_fire_firestore__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__models_profile__ = __webpack_require__(295);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__ = __webpack_require__(82);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__auth__ = __webpack_require__(50);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the ProfileProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var ProfileProvider = /** @class */ (function () {
    // constructor(public afAuth: AngularFireAuth, db: AngularFirestore) {
    function ProfileProvider(db, auth) {
        this.db = db;
        this.auth = auth;
        db.firestore.settings({ timestampsInSnapshots: true }); // Обращать внимание на даты, если перестанут работать, расскоментировать
        this.usersprofile = db.collection('usersprofiles');
        this.usersprofile$ = this.auth.afAuth.authState.pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["switchMap"])(function (user) {
            return db.collection('usersprofiles')
                .doc(user.uid)
                .snapshotChanges()
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["map"])(function (action) {
                return new __WEBPACK_IMPORTED_MODULE_2__models_profile__["a" /* Profile */](action.payload.data());
            }));
        }));
    }
    ProfileProvider.prototype.getProfile = function () {
        return this.usersprofile$;
    };
    ProfileProvider.prototype.addProfile = function (usersprofile) {
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.usersprofile.doc(this.auth.getUid())
            .set(usersprofile.getAny()));
    };
    ProfileProvider.prototype.updateProfile = function (usersprofile) {
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.usersprofile.doc(this.auth.getUid())
            .set(usersprofile.getAny()));
    };
    ProfileProvider.prototype.deleteProfile = function (usersprofile) {
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.usersprofile.doc(this.auth.getUid()).delete());
    };
    ProfileProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_fire_firestore__["a" /* AngularFirestore */], __WEBPACK_IMPORTED_MODULE_5__auth__["a" /* AuthProvider */]])
    ], ProfileProvider);
    return ProfileProvider;
}());

//# sourceMappingURL=profile.js.map

/***/ }),

/***/ 297:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignupPageModule", function() { return SignupPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__signup__ = __webpack_require__(291);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__ = __webpack_require__(155);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SignupPageModule = /** @class */ (function () {
    function SignupPageModule() {
    }
    SignupPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__["a" /* NgxErrorsModule */],
            ],
        })
    ], SignupPageModule);
    return SignupPageModule;
}());

//# sourceMappingURL=signup.module.js.map

/***/ }),

/***/ 337:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var InfoPage = /** @class */ (function () {
    function InfoPage() {
    }
    InfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-info',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\info\info.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Телефоны экстренных служб</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-title>Экстренные телефоны</ion-title>\n\n  <ion-card>\n    <ion-card-header><a href="tel:112">112</a></ion-card-header>\n    <ion-card-content>Единый телефон экстренных служб</ion-card-content>\n  </ion-card>\n\n  <ion-card>\n    <ion-card-header><a href="tel:101">101 (01)</a></ion-card-header>\n    <ion-card-content>Пожарная охрана и спасатели</ion-card-content>\n  </ion-card>\n\n  <ion-card>\n    <ion-card-header><a href="tel:102">102 (02)</a></ion-card-header>\n    <ion-card-content>Полиция</ion-card-content>\n  </ion-card>\n\n  <ion-card>\n    <ion-card-header><a href="tel:103">103 (03)</a></ion-card-header>\n    <ion-card-content>Скорая помощь</ion-card-content>\n  </ion-card>\n\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\info\info.html"*/
        }),
        __metadata("design:paramtypes", [])
    ], InfoPage);
    return InfoPage;
}());

//# sourceMappingURL=info.js.map

/***/ }),

/***/ 338:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RulesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(339);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var RulesPage = /** @class */ (function () {
    function RulesPage(http) {
        this.http = http;
    }
    RulesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-rules',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\rules\rules.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Дополнительная информация</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <ion-card>\n    <ion-card-header>\n      <a href="http://24.mchs.gov.ru/operationalpage/operational">Главное управление МЧС России по Красноярскому\n        краю</a>\n    </ion-card-header>\n    <ion-card-header>\n      <a href="https://112.krskstate.ru/">Официальный портал оперативной обстановки и прогноза ЧС</a>\n    </ion-card-header>\n    <ion-card-content>Оперативная информация и прогнозы ЦУКС Красноярского края, о действующих на территории\n      Красноярского края запретах и/или ограничениях (разведение открытого огня, нахождения в лесных массивах и на\n      акваториях, ограничение использования речных переправ и т.п.)\n    </ion-card-content>\n  </ion-card>\n\n  <ion-card>\n    <ion-card-header>\n      <a href="http://krasnoyarsk.lms-service.ru/local/map/index.php">Интерактивная карта</a>\n    </ion-card-header>\n    <ion-card-content>Интерактивная карта красноярского края</ion-card-content>\n  </ion-card>\n\n  <ion-card>\n    <ion-card-header>\n      <a href="http://moodle.umc24.ru/">Учебно-методический центр</a>\n    </ion-card-header>\n    <ion-card-content>Система дистанционного обучения\n      Учебно-Методический Центр по ГО, ЧС и ПБ\n      Красноярский Край\n    </ion-card-content>\n  </ion-card>\n\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\rules\rules.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["a" /* HttpClient */]])
    ], RulesPage);
    return RulesPage;
}());

//# sourceMappingURL=rules.js.map

/***/ }),

/***/ 343:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(344);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(351);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 351:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(594);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_info_info__ = __webpack_require__(337);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_rules_rules__ = __webpack_require__(338);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_item_details_item_details__ = __webpack_require__(277);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_map_details_map_details__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_list_list__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_status_bar__ = __webpack_require__(340);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_splash_screen__ = __webpack_require__(341);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__asymmetrik_ngx_leaflet__ = __webpack_require__(596);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__providers_firebase_config__ = __webpack_require__(605);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__angular_fire__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__angular_fire_firestore__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__angular_fire_auth__ = __webpack_require__(273);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__angular_fire_storage__ = __webpack_require__(285);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__components_components_module__ = __webpack_require__(606);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__ultimate_ngxerrors__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_auth_auth__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_login_login_module__ = __webpack_require__(275);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_signup_signup_module__ = __webpack_require__(297);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__providers_control_message__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__ionic_native_camera__ = __webpack_require__(280);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__providers_control_photo__ = __webpack_require__(284);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__ionic_native_geolocation__ = __webpack_require__(283);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__ionic_native_native_geocoder__ = __webpack_require__(290);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__angular_common_http__ = __webpack_require__(339);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__providers_situation_situation__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pages_profile_profile__ = __webpack_require__(182);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__providers_auth_profile__ = __webpack_require__(296);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__pages_meteo_meteo__ = __webpack_require__(181);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__pages_hydro_hydro__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__pages_houses_houses__ = __webpack_require__(179);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
















// import {AngularFireDatabaseModule} from "angularfire2/database";


















var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_info_info__["a" /* InfoPage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_rules_rules__["a" /* RulesPage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_item_details_item_details__["a" /* ItemDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_map_details_map_details__["a" /* MapDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_list_list__["a" /* ListPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_profile_profile__["a" /* ProfilePage */],
                __WEBPACK_IMPORTED_MODULE_31__pages_meteo_meteo__["a" /* MeteoPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_hydro_hydro__["a" /* HydroPage */],
                __WEBPACK_IMPORTED_MODULE_33__pages_houses_houses__["a" /* HousesPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_11__asymmetrik_ngx_leaflet__["a" /* LeafletModule */].forRoot(),
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/houses/houses.module#HousesPageModule', name: 'HousesPage', segment: 'houses', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/hydro/hydro.module#HydroPageModule', name: 'HydroPage', segment: 'hydro', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/meteo/meteo.module#MeteoPageModule', name: 'MeteoPage', segment: 'meteo', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/profile/profile.module#ProfilePageModule', name: 'ProfilePage', segment: 'profile', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/signup/signup.module#SignupPageModule', name: 'SignupPage', segment: 'signup', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_13__angular_fire__["a" /* AngularFireModule */].initializeApp(__WEBPACK_IMPORTED_MODULE_12__providers_firebase_config__["a" /* FirebaseConfig */].firebase),
                // AngularFirestoreModule.enablePersistence(),
                __WEBPACK_IMPORTED_MODULE_14__angular_fire_firestore__["b" /* AngularFirestoreModule */],
                __WEBPACK_IMPORTED_MODULE_15__angular_fire_auth__["b" /* AngularFireAuthModule */],
                // AngularFireDatabaseModule,
                __WEBPACK_IMPORTED_MODULE_16__angular_fire_storage__["b" /* AngularFireStorageModule */],
                __WEBPACK_IMPORTED_MODULE_17__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_18__ultimate_ngxerrors__["a" /* NgxErrorsModule */],
                __WEBPACK_IMPORTED_MODULE_20__pages_login_login_module__["LoginPageModule"],
                __WEBPACK_IMPORTED_MODULE_21__pages_signup_signup_module__["SignupPageModule"],
                __WEBPACK_IMPORTED_MODULE_27__angular_common_http__["b" /* HttpClientModule */]
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_info_info__["a" /* InfoPage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_rules_rules__["a" /* RulesPage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_item_details_item_details__["a" /* ItemDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_map_details_map_details__["a" /* MapDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_list_list__["a" /* ListPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_profile_profile__["a" /* ProfilePage */],
                __WEBPACK_IMPORTED_MODULE_31__pages_meteo_meteo__["a" /* MeteoPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_hydro_hydro__["a" /* HydroPage */],
                __WEBPACK_IMPORTED_MODULE_33__pages_houses_houses__["a" /* HousesPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_22__providers_control_message__["a" /* MessageProvider */],
                __WEBPACK_IMPORTED_MODULE_19__providers_auth_auth__["a" /* AuthProvider */],
                __WEBPACK_IMPORTED_MODULE_24__providers_control_photo__["a" /* PhotoProvider */],
                __WEBPACK_IMPORTED_MODULE_23__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_25__ionic_native_geolocation__["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_26__ionic_native_native_geocoder__["a" /* NativeGeocoder */],
                __WEBPACK_IMPORTED_MODULE_28__providers_situation_situation__["a" /* SituationProvider */],
                __WEBPACK_IMPORTED_MODULE_30__providers_auth_profile__["a" /* ProfileProvider */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 50:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AuthProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_fire_auth__ = __webpack_require__(273);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/*
  Generated class for the AuthProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var AuthProvider = /** @class */ (function () {
    function AuthProvider(afAuth) {
        var _this = this;
        this.afAuth = afAuth;
        afAuth.authState.subscribe(function (user) {
            _this.user = user;
        });
    }
    Object.defineProperty(AuthProvider.prototype, "authenticated", {
        get: function () {
            return this.user !== null;
        },
        enumerable: true,
        configurable: true
    });
    AuthProvider.prototype.getEmail = function () {
        return this.user && this.user.email;
    };
    AuthProvider.prototype.getUid = function () {
        return this.user && this.user.uid;
    };
    AuthProvider.prototype.signInWithEmail = function (email, password) {
        console.log('Вход с помощью почты');
        return this.afAuth.auth.signInWithEmailAndPassword(email, password);
    };
    AuthProvider.prototype.signUp = function (email, password) {
        return this.afAuth.auth.createUserWithEmailAndPassword(email, password);
    };
    AuthProvider.prototype.signOut = function () {
        return this.afAuth.auth.signOut();
    };
    AuthProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_fire_auth__["a" /* AngularFireAuth */]])
    ], AuthProvider);
    return AuthProvider;
}());

//# sourceMappingURL=auth.js.map

/***/ }),

/***/ 554:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SituationMeteo; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(59);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var SituationMeteo = /** @class */ (function (_super) {
    __extends(SituationMeteo, _super);
    function SituationMeteo(fields) {
        var _this = _super.call(this, fields) || this;
        if (_this.values === undefined)
            _this.values = new Array();
        return _this;
    }
    SituationMeteo.prototype.getAny = function () {
        var situation = Object.assign({}, this);
        situation.values = situation.values.map(function (object) { return Object.assign({}, object); });
        return situation;
    };
    return SituationMeteo;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=situation-meteo.js.map

/***/ }),

/***/ 555:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SituationHydro; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(59);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var SituationHydro = /** @class */ (function (_super) {
    __extends(SituationHydro, _super);
    function SituationHydro(fields) {
        var _this = _super.call(this, fields) || this;
        if (_this.values === undefined)
            _this.values = new Array();
        return _this;
    }
    SituationHydro.prototype.getAny = function () {
        var situation = Object.assign({}, this);
        situation.values = situation.values.map(function (object) { return Object.assign({}, object); });
        return situation;
    };
    return SituationHydro;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=situation-hydro.js.map

/***/ }),

/***/ 556:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SituationHouses; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(59);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var SituationHouses = /** @class */ (function (_super) {
    __extends(SituationHouses, _super);
    function SituationHouses(fields) {
        var _this = _super.call(this, fields) || this;
        if (_this.values === undefined)
            _this.values = new Array();
        return _this;
    }
    SituationHouses.prototype.getAny = function () {
        var situation = Object.assign({}, this);
        situation.values = situation.values.map(function (object) { return Object.assign({}, object); });
        return situation;
    };
    return SituationHouses;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=situation-houses.js.map

/***/ }),

/***/ 59:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BaseModel; });
var BaseModel = /** @class */ (function () {
    function BaseModel(fields) {
        // Quick and dirty extend/assign fields to this model
        for (var f in fields) {
            // @ts-ignore
            this[f] = fields[f];
        }
    }
    BaseModel.prototype.getAny = function () {
        return Object.assign({}, this);
    };
    return BaseModel;
}());

//# sourceMappingURL=base-model.js.map

/***/ }),

/***/ 594:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pages_info_info__ = __webpack_require__(337);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pages_rules_rules__ = __webpack_require__(338);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_list_list__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_login_login__ = __webpack_require__(276);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_status_bar__ = __webpack_require__(340);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_splash_screen__ = __webpack_require__(341);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_auth_auth__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_profile_profile__ = __webpack_require__(182);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_meteo_meteo__ = __webpack_require__(181);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_hydro_hydro__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_houses_houses__ = __webpack_require__(179);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};













var MyApp = /** @class */ (function () {
    function MyApp(platform, config, menu, statusBar, splashScreen, auth) {
        this.platform = platform;
        this.config = config;
        this.menu = menu;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.auth = auth;
        this.initializeApp();
        // set our app's pages
        this.pages = [
            { title: 'Телефоны экстренных служб', component: __WEBPACK_IMPORTED_MODULE_2__pages_info_info__["a" /* InfoPage */] },
            { title: 'Дополнительная информация', component: __WEBPACK_IMPORTED_MODULE_3__pages_rules_rules__["a" /* RulesPage */] }
        ];
        this.securedPages = [
            { title: 'Сообщения', component: __WEBPACK_IMPORTED_MODULE_4__pages_list_list__["a" /* ListPage */] }
        ];
        this.situationPages = [
            { title: 'Аварии ЖКХ', component: __WEBPACK_IMPORTED_MODULE_12__pages_houses_houses__["a" /* HousesPage */] },
            { title: 'Гидропосты', component: __WEBPACK_IMPORTED_MODULE_11__pages_hydro_hydro__["a" /* HydroPage */] },
            { title: 'Погода', component: __WEBPACK_IMPORTED_MODULE_10__pages_meteo_meteo__["a" /* MeteoPage */] }
        ];
    }
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.statusBar.styleDefault();
            _this.splashScreen.hide();
            _this.config.set('backButtonIcon', 'checkmark');
            // this.config.set('backButtonText', 'Сохранить')
        });
        this.auth.afAuth.authState
            .subscribe(function (user) {
            if (user) {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_12__pages_houses_houses__["a" /* HousesPage */];
            }
            else {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */];
            }
        });
    };
    MyApp.prototype.openPage = function (page) {
        // close the menu when clicking a link from the menu
        this.menu.close();
        // navigate to the new page if it is not the current page
        this.nav.setRoot(page.component);
    };
    MyApp.prototype.profile = function () {
        this.menu.close();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_9__pages_profile_profile__["a" /* ProfilePage */]);
    };
    MyApp.prototype.login = function () {
        this.menu.close();
        this.auth.signOut();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */]);
    };
    MyApp.prototype.logout = function () {
        this.menu.close();
        this.auth.signOut();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_2__pages_info_info__["a" /* InfoPage */]);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\app\app.html"*/'<ion-menu [content]="content">\n\n  <ion-header>\n    <ion-toolbar>\n      <ion-title>Меню</ion-title>\n    </ion-toolbar>\n  </ion-header>\n\n  <ion-content>\n    <ion-list>\n      <ion-list-header>Ситуации</ion-list-header>\n      <ng-container *ngIf="auth.authenticated">\n        <button ion-item *ngFor="let page of situationPages" (click)="openPage(page)">\n          {{page.title}}\n        </button>\n      </ng-container>\n\n      <ion-list-header>Служебные</ion-list-header>\n      <ng-container *ngIf="auth.authenticated">\n        <button ion-item *ngFor="let p of securedPages" (click)="openPage(p)">\n          {{p.title}}\n        </button>\n      </ng-container>\n\n      <button ion-item *ngFor="let p of pages" (click)="openPage(p)">\n        {{p.title}}\n      </button>\n\n      <ion-list-header *ngIf="auth.getEmail()" (click)="profile()">{{auth.getEmail()}}</ion-list-header>\n\n      <ion-item (click)="logout()" *ngIf="auth.authenticated">\n        <ion-icon name="log-out" item-left></ion-icon>\n        Выход\n      </ion-item>\n\n      <ion-item (click)="login()" *ngIf="!auth.authenticated">\n        <ion-icon name="log-in" item-left></ion-icon>\n        Авторизация\n      </ion-item>\n    </ion-list>\n\n  </ion-content>\n\n</ion-menu>\n\n<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* Config */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* MenuController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_8__providers_auth_auth__["a" /* AuthProvider */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 605:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FirebaseConfig; });
var FirebaseConfig = {
    firebase: {
        apiKey: "AIzaSyA4bLosflPbRFFuf1gb4BwJ1cfFaA87yoY",
        authDomain: "travel-path.firebaseapp.com",
        databaseURL: "https://travel-path.firebaseio.com",
        projectId: "travel-path",
        storageBucket: "travel-path.appspot.com",
        messagingSenderId: "70418024748"
    }
};
//# sourceMappingURL=firebase.config.js.map

/***/ }),

/***/ 606:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ComponentsModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

// import { MembershipComponent } from './membership/membership';


var ComponentsModule = /** @class */ (function () {
    function ComponentsModule() {
    }
    ComponentsModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
            // MembershipComponent
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_common__["b" /* CommonModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */]
            ],
            exports: [
            // MembershipComponent
            ]
        })
    ], ComponentsModule);
    return ComponentsModule;
}());

//# sourceMappingURL=components.module.js.map

/***/ }),

/***/ 72:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MapDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_leaflet__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_leaflet___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_leaflet__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var MapDetailsPage = /** @class */ (function () {
    function MapDetailsPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.shouldScroll = true;
        this.markers = [];
        // Open Street Map and Open Cycle Map definitions
        this.LAYER_GOOGLE_STREETS = {
            id: 'googlestreets',
            name: 'Google Streets',
            enabled: true,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.google.com/vt/lyrs=m&x={x}&y={y}&z={z}', {
                maxZoom: 20,
                subdomains: ['mt0', 'mt1', 'mt2', 'mt3'],
                attribution: 'Google Streets'
            })
        };
        this.LAYER_GOOGLE_HYBRID = {
            id: 'googlehybrid',
            name: 'Google Hybrid',
            enabled: true,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.google.com/vt/lyrs=s,h&x={x}&y={y}&z={z}', {
                maxZoom: 20,
                subdomains: ['mt0', 'mt1', 'mt2', 'mt3'],
                attribution: 'Google Hybrid'
            })
        };
        this.LAYER_GOOGLE_SATELLITE = {
            id: 'googlesatellite',
            name: 'Google Satellite',
            enabled: true,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.google.com/vt/lyrs=s&x={x}&y={y}&z={z}', {
                maxZoom: 20,
                subdomains: ['mt0', 'mt1', 'mt2', 'mt3'],
                attribution: 'Google Satellite'
            })
        };
        this.LAYER_GOOGLE_TERRAIN = {
            id: 'googleterrain',
            name: 'Google Terrain',
            enabled: true,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.google.com/vt/lyrs=p&x={x}&y={y}&z={z}', {
                maxZoom: 20,
                subdomains: ['mt0', 'mt1', 'mt2', 'mt3'],
                attribution: 'Google Terrain'
            })
        };
        this.LAYER_OCM = {
            id: 'opencyclemap',
            name: 'Open Cycle Map',
            enabled: false,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('https://tile.thunderforest.com/cycle/{z}/{x}/{y}.png?apikey=ab32443fbeef4e5fabfe42b2ac3a1dc2', {
                maxZoom: 18,
                attribution: 'Open Cycle Map'
            })
        };
        this.LAYER_OSM = {
            id: 'openstreetmap',
            name: 'Open Street Map',
            enabled: false,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                maxZoom: 18,
                attribution: 'Open Street Map'
            })
        };
        // Values to bind to Leaflet Directive
        this.layersControlOptions = { position: 'bottomright' };
        this.baseLayers = {
            'Городская': this.LAYER_GOOGLE_STREETS.layer,
            'Гибридная': this.LAYER_GOOGLE_HYBRID.layer,
            'Спутниковая': this.LAYER_GOOGLE_SATELLITE.layer,
            'Ландшафт': this.LAYER_GOOGLE_TERRAIN.layer,
            'Open Street Map': this.LAYER_OSM.layer,
            'Open Cycle Map': this.LAYER_OCM.layer
        };
        this.options = {
            zoom: 13,
            center: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["latLng"])(56.013388, 92.854262)
        };
        // If we navigated to this page, we will have an member available as a nav param
        this.selectedItem = navParams.get('item');
        if (this.selectedItem.lng) {
            var latLng_1 = new __WEBPACK_IMPORTED_MODULE_2_leaflet__["LatLng"](this.selectedItem.lat, this.selectedItem.lng);
            this.addMarker('Место обращения', latLng_1);
            this.options.center = latLng_1;
        }
    }
    MapDetailsPage.prototype.ionViewWillLeave = function () {
        // this.selectedItem.splice(0, this.selectedItem.length);
        // for (let i in this.markers) {
        //   this.selectedItem.push(JSON.parse((this.markers[i] as Marker).options.title) as Point);
        // }
        console.log(this.selectedItem);
    };
    MapDetailsPage.prototype.addMarker = function (title, latLng) {
        var newMarker = Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["marker"])(latLng, {
            title: title,
            // clickable: true,
            icon: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["icon"])({
                iconSize: [25, 41],
                iconAnchor: [13, 41],
                iconUrl: 'assets/images/marker-icon.png',
                shadowUrl: 'assets/images/marker-shadow.png'
            })
        });
        // newMarker.on('click', (e: LeafletMouseEvent) => {
        //   let marker = e.target as Marker;
        //   this.editPointDialog(marker);
        //   console.log(marker);
        // });
        console.log(newMarker);
        this.markers.push(newMarker);
    };
    MapDetailsPage.prototype.mapReady = function (map) {
        // map.on('click', (e: LeafletMouseEvent) => {
        //   this.addPointDialog(e.latlng);
        // });
    };
    MapDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-map-details',template:/*ion-inline-start:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\map-details\map-details.html"*/'<ion-header>\n  <ion-navbar>\n    <button menuToggle *ngIf="!selectedItem">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Местоположение</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content [attr.noScroll]="shouldScroll">\n  <div leaflet style="min-height: 90vh;"\n       [leafletOptions]="options"\n       [leafletLayers]="markers"\n       [leafletBaseLayers]="baseLayers"\n       [leafletLayersControlOptions]="layersControlOptions"\n       (leafletMapReady)="mapReady($event)">\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\headman-client-mobile\src\pages\map-details\map-details.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */]])
    ], MapDetailsPage);
    return MapDetailsPage;
}());

//# sourceMappingURL=map-details.js.map

/***/ }),

/***/ 73:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Message; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(59);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var Message = /** @class */ (function (_super) {
    __extends(Message, _super);
    function Message(fields) {
        var _this = _super.call(this, fields) || this;
        if (_this.photos === undefined)
            _this.photos = new Array();
        return _this;
    }
    Message.prototype.getAny = function () {
        var message = Object.assign({}, this);
        message.photos = message.photos.map(function (object) { return Object.assign({}, object); });
        return message;
    };
    return Message;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=message.js.map

/***/ }),

/***/ 85:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SituationProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_fire_firestore__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__auth_auth__ = __webpack_require__(50);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_situation_meteo__ = __webpack_require__(554);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_situation_hydro__ = __webpack_require__(555);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__models_situation_houses__ = __webpack_require__(556);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/*
  Generated class for the MessageProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var SituationProvider = /** @class */ (function () {
    function SituationProvider(db, auth) {
        this.db = db;
        this.auth = auth;
        db.firestore.settings({ timestampsInSnapshots: true }); // Обращать внимание на даты, если перестанут работать, расскоментировать
        this.initMeteo();
        this.initHydro();
        this.initHouses();
    }
    SituationProvider.prototype.initMeteo = function () {
        var _this = this;
        this.meteo$ = this.auth.afAuth.authState.pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["switchMap"])(function (user) {
            return _this.db.collection('situations')
                .doc('meteo')
                .snapshotChanges()
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["map"])(function (action) {
                return new __WEBPACK_IMPORTED_MODULE_4__models_situation_meteo__["a" /* SituationMeteo */](action.payload.data());
            }));
        }));
    };
    SituationProvider.prototype.getMeteo = function () {
        return this.meteo$;
    };
    SituationProvider.prototype.initHydro = function () {
        var _this = this;
        this.hydro$ = this.auth.afAuth.authState.pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["switchMap"])(function (user) {
            return _this.db.collection('situations')
                .doc('hydro')
                .snapshotChanges()
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["map"])(function (action) {
                return new __WEBPACK_IMPORTED_MODULE_5__models_situation_hydro__["a" /* SituationHydro */](action.payload.data());
            }));
        }));
    };
    SituationProvider.prototype.getHydro = function () {
        return this.hydro$;
    };
    SituationProvider.prototype.initHouses = function () {
        var _this = this;
        this.houses$ = this.auth.afAuth.authState.pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["switchMap"])(function (user) {
            return _this.db.collection('situations')
                .doc('houses')
                .snapshotChanges()
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["map"])(function (action) {
                return new __WEBPACK_IMPORTED_MODULE_6__models_situation_houses__["a" /* SituationHouses */](action.payload.data());
            }));
        }));
    };
    SituationProvider.prototype.getHouses = function () {
        return this.houses$;
    };
    SituationProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_fire_firestore__["a" /* AngularFirestore */], __WEBPACK_IMPORTED_MODULE_3__auth_auth__["a" /* AuthProvider */]])
    ], SituationProvider);
    return SituationProvider;
}());

//# sourceMappingURL=situation.js.map

/***/ })

},[343]);
//# sourceMappingURL=main.js.map